Delete an S3 bucket and its contents

Permanently delete an S3 bucket and all files stored within it. This is a destructive action that cannot be undone.

Object Storage Buckets

Context

Used in the dashboard

/object-storage/[bucket] /object-storage

Path Parameters

name string required Example: test

name parameter

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.deleted boolean required · Example: true
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

DELETE https://cloud.hostup.se/api/object-storage/buckets/{name}
For AI assistants
cURL
curl -X DELETE "https://cloud.hostup.se/api/object-storage/buckets/test" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "deleted": true
  }
}